import Prompt from '../prompt/index'
import Router from '../router/index'
import Config from '../../config/index'

export class Error {
  constructor() {}

  /**
   * 未登录
   */
  errorNotLoggedIn() {
    Prompt.showToast('未登录')
    // 进入登录页面
    Router.navigateTo({
      url: Config.pages.login
    })
  }
  /**
   * 没有网络
   */
  errorNoInternet() {
    Prompt.showToast('没有网络')
    // 进入没有网络页面
    Router.navigateTo({
      url: Config.noInternet
    })
  }
  /**
   * 请求错误
   */
  errorRequestError() {
    Prompt.showToast('请求错误')
    // 记录错误请求
  }
  /**
   * 没有权限
   */
  errorPermissionDenied() {
    Prompt.showToast('没有权限')
  }
}
